MONGOC_SOCKET_ERRNO(3)

NAME
mongoc_socket_errno() - This function returns the currently captured errno for a socket. This may be useful to check was the last errno was after another function call has been made that clears the threads errno variable.

SYNOPSIS

int
mongoc_socket_errno (mongoc_socket_t *sock);

PARAMETERS

sock
    A mongoc_socket_t \&.

DESCRIPTION

This function returns the currently captured errno for a socket. This may be useful to check was the last errno was after another function call has been made that clears the threads errno variable.

RETURNS

0 if there is no error, otherwise a specific errno.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.